Проблема с установкой/обновлением компоновщика

Я работаю над проектом, созданным с помощью Laravel 4 Framework, затем я использовал эту команду для установки композитора.

установка композитора

Это результат выполнения:

$ composer install
Loading composer repositories with package information
Installing dependencies (including require-dev)
 - Installing psr/log (dev-master 5144da9)
 Loading from cache

 - Installing doctrine/lexer (dev-master 57d5a02)
 Loading from cache

 - Installing doctrine/annotations (dev-master 97b4a00)
 Loading from cache

 - Installing doctrine/collections (dev-master bcb5377)
 Loading from cache

 - Installing doctrine/cache (dev-master ff36d42)
 Loading from cache

 - Installing doctrine/inflector (dev-master 8b4b3cc)
 Loading from cache

 - Installing doctrine/common (dev-master ba2ad8a)
 Loading from cache

 - Installing symfony/process (2.3.x-dev b09d36a)
 Loading from cache

 - Installing symfony/finder (2.3.x-dev fc0fbd5)
 Loading from cache

 - Installing symfony/console (2.3.x-dev f77c13a)
 Loading from cache

 - Installing symfony/filesystem (dev-master c136348)
 Loading from cache

 - Installing symfony/routing (2.3.x-dev 7d41463)
 Loading from cache

 - Installing symfony/debug (2.3.x-dev 93f2633)
 Loading from cache

 - Installing symfony/event-dispatcher (2.3.x-dev 30b2f95)
 Loading from cache

 - Installing symfony/http-foundation (2.3.x-dev 8ee2965)
 Loading from cache

 - Installing symfony/http-kernel (2.3.x-dev *******)
 Loading from cache

 - Installing kriswallsmith/assetic (v1.1.2)
 Loading from cache

 - Installing codesleeve/sprockets (dev-master 2d14c76)
 Loading from cache

 - Installing symfony/dom-crawler (2.3.x-dev 7a72398)
 Loading from cache

 - Installing swiftmailer/swiftmailer (v5.0.3)
 Loading from cache

 - Installing predis/predis (0.8.x-dev 09cb667)
 Loading from cache

 - Installing patchwork/utf8 (v1.1.16)
 Loading from cache

 - Installing nesbot/carbon (1.7.0)
 Loading from cache

 - Installing monolog/monolog (dev-master 5ad421d)
 Loading from cache

 - Installing nikic/php-parser (dev-master 0353c92)
 Loading from cache

 - Installing jeremeamia/superclosure (1.0.1)
 Loading from cache

 - Installing ircmaxell/password-compat (1.0.x-dev 1fc1521)
 Loading from cache

 - Installing classpreloader/classpreloader (1.0.1)
 Loading from cache

 - Installing symfony/translation (2.3.x-dev 6b255d2)
 Loading from cache

 - Installing symfony/css-selector (2.3.x-dev 8df20c5)
 Loading from cache

 - Installing symfony/browser-kit (2.3.x-dev 7149642)
 Loading from cache

 - Installing filp/whoops (1.0.7)
 Loading from cache

 - Installing doctrine/dbal (2.4.x-dev ad8608b)
 Loading from cache

 - Installing laravel/framework (4.0.x-dev 426c9e0)
 Loading from cache

 - Installing leafo/scssphp (v0.0.7)
 Loading from cache

 - Installing coffeescript/coffeescript (1.3.1)
 Loading from cache

 - Installing leafo/lessphp (v0.4.0)
 Loading from cache

 - Installing nitra/php-min (dev-master f2d5e3f)
 Loading from cache

 - Installing codesleeve/asset-pipeline (dev-master cad206e)
 Loading from cache

 - Installing mustache/mustache (v2.4.1)
 Loading from cache

 - Installing way/generators (dev-master 8390ef9)
 Downloading: 100%

 - Installing barryvdh/laravel-migration-generator (dev-master 5cd7ec3)
 Loading from cache

 - Installing dinesh/barcode (dev-master 6cbcffb)
 Loading from cache

 - Installing symfony/class-loader (dev-master d122b8a)
 Loading from cache

 - Installing dflydev/markdown (dev-master 6baed9b)
 Loading from cache

 - Installing phpdocumentor/reflection-docblock (2.0.0)
 Loading from cache

 - Installing barryvdh/laravel-ide-helper (v1.7.1)
 Loading from cache

symfony/routing suggests installing symfony/config ()
symfony/routing suggests installing symfony/yaml ()
symfony/event-dispatcher suggests installing symfony/dependency-injection ()
symfony/http-kernel suggests installing symfony/config ()
symfony/http-kernel suggests installing symfony/dependency-injection ()
kriswallsmith/assetic suggests installing twig/twig (Assetic provides the integr
ation with the Twig templating engine)
kriswallsmith/assetic suggests installing ptachoire/cssembed (Assetic provides t
he integration with phpcssembed to embed data uris)
kriswallsmith/assetic suggests installing leafo/scssphp-compass (Assetic provide
s the integration with the SCSS compass plugin)
predis/predis suggests installing ext-phpiredis (Allows faster serialization and
 deserialization of the Redis protocol)
patchwork/utf8 suggests installing lib-icu (Use Intl for best performance)
monolog/monolog suggests installing mlehner/gelf-php (Allow sending log messages
 to a GrayLog2 server)
monolog/monolog suggests installing ext-amqp (Allow sending log messages to an A
MQP server (1.0+ required))
monolog/monolog suggests installing ext-mongo (Allow sending log messages to a M
ongoDB server)
monolog/monolog suggests installing doctrine/couchdb (Allow sending log messages
 to a CouchDB server)
monolog/monolog suggests installing raven/raven (Allow sending log messages to a
 Sentry server)
monolog/monolog suggests installing ruflin/elastica (Allow sending log messages
to an Elastic Search server)
monolog/monolog suggests installing aws/aws-sdk-php (Allow sending log messages
to AWS services like DynamoDB)
symfony/translation suggests installing symfony/config ()
symfony/translation suggests installing symfony/yaml ()
Writing lock file
Generating autoload files
{"error":{"type":"Symfony\\Component\\Debug\\Exception\\FatalErrorException","me
ssage":"Class 'Codesleeve\\AssetPipeline\\Filters\\CssRewrite' not found","file"
:"C:\\laravel-projects\\plansherpa\\app\\config\\packages\\codesleeve\\asset-pip
eline\\config.php","line":64}}Script php artisan optimize handling the post-inst
all-cmd event returned with an error



 [RuntimeException]
 Error Output:



install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-p
lugins] [--no-custom-installers] [--no-scripts] [--no-progress] [-v|vv|vvv|--ver
bose] [-o|--optimize-autoloader]

На OSX (Mountain Lion) и Windows 7 Home Premium отображается то же сообщение об ошибке. Как я могу исправить это сейчас?

Пожалуйста, помогите мне! Заранее спасибо.

1 ответ

Похоже, что проблема с кодами не ларавель/композитор.

Вы ранее устанавливали коды?

Попробуйте удалить эту строку из файла app/config/app.php

Удалить коды из композитора. Json

Запустите обновление композитора. Теперь все должно работать.

Повторно добавить коды к композитору.json

Запустить другое обновление для композитора

Повторно добавьте поставщика услуг кодов в приложение /config/app.php

Запустите автозагрузку композитора

Посмотрите, как это происходит с каждым шагом. Я предполагаю, что проблема все равно будет существовать, но первые 3-4 шага будут хорошими.

Возможно, изучите обновление laravel до 4.1, поскольку, по-моему, новый код требует некоторых вещей из этого?

tl: dr его ищет Codesleeve\AssetPipeline\Filters\CssRewrite, но не могу найти его.

licensed under cc by-sa 3.0 with attribution.